Loading...
Searching...
No Matches
stroke.c File Reference
`#include <stdlib.h>`
`#include <math.h>`
`#include <grass/gis.h>`
`#include <grass/symbol.h>`
Include dependency graph for stroke.c:

Go to the source code of this file.

## Macros

#define | PI M_PI

## Functions

void | add_coor (SYMBCHAIN *chain, double x, double y)
int | stroke_chain (SYMBPART *part, int ch, double s, double rotation)
void | S_stroke (SYMBOL *Symb, double size, double rotation, int tolerance)
| Stroke symbol to form used for Xdriver.

## Macro Definition Documentation

## PI

#define PI M_PI

Definition at line 22 of file stroke.c.

Referenced by stroke_chain().

## Function Documentation

## add_coor()

void add_coor | ( | SYMBCHAIN * | chain,
|  | double | x,
|  | double | y )

Definition at line 24 of file stroke.c.

References G_debug(), and x.

Referenced by stroke_chain().

## S_stroke()

void S_stroke | ( | SYMBOL * | Symb,
|  | double | size,
|  | double | rotation,
|  | int | tolerance )

Stroke symbol to form used for Xdriver.

tolerance currently not supported

Parameters

  Symb | pointer to
  size | symbol size
  rotation | symbol rotation, degrees CCW from East
  tolerance | currently not supported

Definition at line 158 of file stroke.c.

References G_debug(), and stroke_chain().

## stroke_chain()

int stroke_chain | ( | SYMBPART * | part,
|  | int | ch,
|  | double | s,
|  | double | rotation )

Definition at line 44 of file stroke.c.

References add_coor(), G_debug(), G_rotate_around_point(), l, PI, r, and x.

Referenced by S_stroke().